# Method: projects.locations.registrations.configureContactSettings

- [HTTP request](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/configureContactSettings#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/configureContactSettings#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/configureContactSettings#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/configureContactSettings#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/configureContactSettings#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/configureContactSettings#body.aspect)
- [Try it!](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/configureContactSettings#try-it)

Updates a `Registration`'s contact settings. Some changes require confirmation by the domain's registrant contact .

Caution: Please consider carefully any changes to contact privacy settings when changing from `REDACTED_CONTACT_DATA` to `PUBLIC_CONTACT_DATA.` There may be a delay in reflecting updates you make to registrant contact information such that any changes you make to contact privacy (including from `REDACTED_CONTACT_DATA` to `PUBLIC_CONTACT_DATA`) will be applied without delay but changes to registrant contact information may take a limited time to be publicized. This means that changes to contact privacy from `REDACTED_CONTACT_DATA` to `PUBLIC_CONTACT_DATA` may make the previous registrant contact data public until the modified registrant contact details are published.

### HTTP request

`POST https://domains.googleapis.com/v1/{registration=projects/*/locations/*/registrations/*}:configureContactSettings`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `registration` | `string` Required. The name of the `Registration` whose contact settings are being updated, in the format `projects/*/locations/*/registrations/*`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `registration`: - `domains.registrations.configureContact` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "contactSettings": { object (`https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations#ContactSettings`) }, "updateMask": string, "contactNotices": [ enum (`https://docs.cloud.google.com/domains/docs/reference/rest/v1/ContactNotice`) ], "validateOnly": boolean } ``` |

| Fields ||
|---|---|
| `contactSettings` | ``object (`https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations#ContactSettings`)`` Fields of the `ContactSettings` to update. |
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. The field mask describing which fields to update as a comma-separated list. For example, if only the registrant contact is being updated, the `updateMask` is `"registrantContact"`. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `contactNotices[]` | ``enum (`https://docs.cloud.google.com/domains/docs/reference/rest/v1/ContactNotice`)`` The list of contact notices that the caller acknowledges. The notices needed here depend on the values specified in `contactSettings`. |
| `validateOnly` | `boolean` Validate the request without actually updating the contact settings. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/domains/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).